# Ignore build folders
cmake-*/

# Ignore generated headers
scripts/*.h
lgui2/*.h

# Ignore common C++ and CMake build artifacts
*.o
*.lo
*.la
*.so
*.so.*
*.dylib
*.dll
*.exe
*.out
*.app

# CMake specific files
CMakeFiles/
CMakeCache.txt
cmake_install.cmake
Makefile

# Ignore editor and IDE specific files
.vscode/
.idea/
*.swp
*.swo
*~

# Miscellaneous
.DS_Store
Thumbs.db